ListEntities
curl --request GET \
--url https://developer.synq.io/api/entities/custom/v1/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/entities/custom/v1/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/entities/custom/v1/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entities": [
{
"id": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"name": "<string>",
"workspace": "<string>",
"typeId": 500,
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"description": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z",
"synqPath": "<string>",
"synqCatalogUrl": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
],
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
],
"isDwhTable": true,
"isDwhView": true
}
],
"pageInfo": {
"totalCount": 123,
"count": 123,
"lastId": "<string>"
}
}synq.entities.custom.v1.EntitiesService
ListEntities
List all entities.
GET
/
api
/
entities
/
custom
/
v1
/
entities
ListEntities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.
Maximum number of items to return in a single page. If not provided, defaults vary per API.
Required range:
x >= 0Response
200 - application/json
Success